# core_util.c

Summary

core_util.c |
Functions |
get_seed | Get a values that cannot be determined at compile time.
crc* | Service functions to calculate 16b CRC code.

### Functions

### get_seed

Get a values that cannot be determined at compile time.

#### Since different embedded systems and compilers are used, 3 different methods are provided

1 | Using a volatile variable. This method is only valid if the compiler is forced to generate code that reads the value of a volatile variable from memory at run time. Please note, if using this method, you would need to modify core_portme.c to generate training profile.
2 | Command line arguments. This is the preferred method if command line arguments are supported.
3 | System function. If none of the first 2 methods is available on the platform, a system function which is not a stub can be used.

e.g. read the value on GPIO pins connected to switches, or invoke special simulator functions.

### crc*

Service functions to calculate 16b CRC code.

Close